#include <QCoreApplication>
#include <QtRemoteObjects>
#include <QDebug>

#include "rep_KeyGenerator_replica.h"

int main(int argc, char *argv[])
{
	QCoreApplication a(argc, argv);

	QRemoteObjectNode client;
	client.connectToNode(QUrl("tcp://127.0.0.1:9999"));
	QScopedPointer<KeyGeneratorReplica> clientClass(client.acquire<KeyGeneratorReplica>());

	// wait for connected
	{
		QEventLoop loop;
		QTimer::singleShot(1000, &loop, &QEventLoop::quit);
		loop.exec();
	}

	for (int i = 0; i < 20000; i++) {
		auto reply = clientClass->GetNextKey();
		reply.waitForFinished();
		qDebug() << i << reply.returnValue().toHex().data();
	}

	return 0;
}
